cURL
curl --request GET \ --url https://capy.ai/api/v1/tasks/{taskId} \ --header 'Authorization: Bearer <token>'
{ "id": "<string>", "projectId": "<string>", "identifier": "<string>", "title": "<string>", "status": "backlog", "labels": [ "<string>" ], "pullRequest": { "number": 0, "url": "<string>", "repoFullName": "<string>", "state": "<string>", "headRef": "<string>", "baseRef": "<string>", "draft": true }, "slackThreads": [ { "teamId": "<string>", "channelId": "<string>", "threadTs": "<string>", "url": "<string>" } ], "createdAt": "<string>", "updatedAt": "<string>", "prompt": "<string>", "jams": [ { "id": "<string>", "status": "idle", "model": "auto", "pullRequest": { "number": 0, "url": "<string>", "repoFullName": "<string>", "state": "<string>", "headRef": "<string>", "baseRef": "<string>", "draft": true }, "branches": {}, "git": { "remoteUrl": "<string>", "lastCommitSha": "<string>" }, "slackThreads": [ { "teamId": "<string>", "channelId": "<string>", "threadTs": "<string>", "url": "<string>" } ], "credits": { "llm": 123, "vm": 123 }, "createdAt": "<string>", "updatedAt": "<string>" } ] }
Get a single task with jam history.
API token (capy_xxxx). Generate at capy.ai/settings/tokens
Task identifier. Accepts both UUID and PREFIX-NNN formats.
Success
backlog
queued
in_progress
needs_review
archived
Show child attributes
Was this page helpful?